Bug 462813 - Review Request: ldtp - Desktop testing framework
Review Request: ldtp - Desktop testing framework
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Rakesh Pandit
Fedora Extras Quality Assurance
:
Depends On: pystatgrab
Blocks:
  Show dependency treegraph
 
Reported: 2008-09-18 22:46 EDT by Debarshi Ray
Modified: 2008-12-23 14:30 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-12-23 14:30:33 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
rpandit: fedora‑review+
dennis: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description Debarshi Ray 2008-09-18 22:46:11 EDT
Spec URL: http://rishi.fedorapeople.org/ldtp.spec
SRPM URL: http://rishi.fedorapeople.org/ldtp-1.3.0-1.fc9.src.rpm

Description:
Linux Desktop (GUI Application) Testing Project (LDTP) is aimed at producing
high quality test automation framework and cutting-edge tools that can be used
to test Linux Desktop and improve it. It uses the Accessibility libraries to
poke through the application's user interface. The framework also has tools to
record test-cases based on user-selection on the application.
Comment 1 Debarshi Ray 2008-09-18 23:28:26 EDT
Koji: http://koji.fedoraproject.org/koji/taskinfo?taskID=832881
Comment 2 Rakesh Pandit 2008-09-28 09:39:58 EDT
will review in a while. 
Will wait till python-statgrab review is complete.
Comment 3 Rakesh Pandit 2008-10-24 01:28:33 EDT
pystatgrab is approved. So, I will start the review.
Comment 4 Rakesh Pandit 2008-10-24 02:36:20 EDT


[rpmbuild@rocky-test i386]$ rp  ldtp-1.3.0-1.fc10.i386.rpm
ldtp.i386: E: non-executable-script /usr/lib/python2.5/site-packages/ldtplib/__init__.py 0644
ldtp.i386: E: non-executable-script /usr/lib/python2.5/site-packages/ldtplib/ldtprecorder.py 0644
ldtp.i386: E: non-executable-script /usr/lib/python2.5/site-packages/ldtplib/libldtpcodegen.py 0644
ldtp.i386: E: non-executable-script /usr/lib/python2.5/site-packages/ldtplib/ldtpcommon.py 0644
1 packages and 0 specfiles checked; 4 errors, 0 warnings.

May be use
sed -e '/^#!\//,1 d' -i %{buildroot}/%{python_sitearch}/ldtplib/<file>

[rpmbuild@rocky-test SRPMS]$ rp -i ldtp-1.3.0-1.fc10.src.rpm
1 packages and 0 specfiles checked; 0 errors, 0 warnings.
[rpmbuild@rocky-test i386]$ rp -i ldtp-debuginfo-1.3.0-1.fc10.i386.rpm
1 packages and 0 specfiles checked; 0 errors, 0 warnings.

Builds fine:
http://koji.fedoraproject.org/koji/taskinfo?taskID=900276

Review ldtp

rpmlint - x needs work
naming - OK
packaging guidelines - OK
license - OK
license field - OK
spec file legible and written in American English - OK
source matches upstream - OK (md5sum)
architectures supported - OK
build Require - OK
locale - N/A
directories owned - OK
no duplicate files - OK
permissions - OK
%install and %check have " rm -rf %{buildroot} " - OK
description and summary - OK
Comment 5 Debarshi Ray 2008-10-30 14:41:08 EDT
> May be use
> sed -e '/^#!\//,1 d' -i %{buildroot}/%{python_sitearch}/ldtplib/<file>

$ sed -i -e '1d' $FILE
... was enough enough. :-)

Upstream has agreed to fix it in the next release.

Spec: http://rishi.fedorapeople.org/ldtp.spec
SRPM: http://rishi.fedorapeople.org/ldtp-1.3.0-2.fc9.src.rpm
Comment 6 Rakesh Pandit 2008-10-31 01:56:27 EDT
https://bugzilla.redhat.com/show_bug.cgi?id=459010

You need to build it after above one gets imported and build.

APPROVED
Comment 7 Rakesh Pandit 2008-12-06 08:47:00 EST
May you import it? :)
Comment 8 Debarshi Ray 2008-12-14 12:29:55 EST
New Package CVS Request
=======================
Package Name: ldtp
Short Description: Desktop testing framework
Owners: rishi
Branches: F-9 F-10
InitialCC:
Comment 9 Dennis Gilmore 2008-12-15 15:44:02 EST
CVS Done

Note You need to log in before you can comment on or make changes to this bug.